structure Error =
struct 

local open PPUtil in

type info = SourceMap.region option

exception Error

(* main error function *)
fun error info msg = 
    (open_box 0;
     print_string "Error: ";
     print_string msg;
     print_newline ();
     close_box ();
     raise Error)

end (* local *)
end (* structure Error *)
